                                  COPYRIGHT NOTICE

                 RGBExchange and all Conversion Modules, Programs and
               documentation Copyright (C) 1989, 1990 by Troy Barlow. 
                                All Rights Reserved.
                                   by Troy Barlow
           
            *  A $20 shareware contribution is  requested  for using the
               program.
            *  The author retains the sole right to sell the program.
            *  The author grants users the right to copy and distribute
               the program within the following constraints:
                 - All program files remain unaltered and are distributed
                   in the original zoo archive.
                 - Only the original version of the program with the
                   SHAREWARE message and Author Address is distributed.
                 - No attempt is made to sell the program, or to make
                   money from it or any modified version of it.
                 - The program is not bundled with any other hardware or
                   software transactions without the author's written
                   permission.
                 - Recognized  users' groups may charge a maximum  $5
                   duplication or distribution fee.
            *  Continued use of the program (more  than 2  weeks) by  any
               individual, corporation or institution without a single
               user license is prohibited.
            *  Single user licenses are obtained by  sending  in the  $20
               shareware contribution to:

                                    Troy Barlow
                                    P.O. BOX 174
                                  South Amboy, N.J.
                                       08879

                                   - DISCLAIMER -

             The author disclaims all warranties expressed or implied as
          to the  quality or performance of this program. The author will
          not be held liable for any lost profits, lost savings or any
          other  direct, indirect,  incidental   or  consequential damages
          resulting from the use of this program.  Your  use of this
          program constitutes your agreement to this disclaimer and your
          release of  the author from any form  of  liability  or
          litigation.

             RGBExchange and all RGBExchange Conversion Modules are
          trademarks of Troy Barlow. Sculpt Animate 3D and 4D are
          trademarks of the Byte by Byte Corporation. Targa 16, 24 and 32
          are trademarks of Truevision, Inc. Turbo Silver is a trademark
          of Impulse, Inc. DigiView 2.0 and 3.0 are trademarks of NewTek,
          Inc. FrameGrabber is a trademark of Progressive Peripherals and
          Software. AmigaDOS, Amiga Kickstart, and Workbench are
          trademarks of Commodore Amiga, Inc.













                                     Introduction

            Welcome to RGBExchange, the Full Color Image conversion
          program for the Amiga. RGBExchange offers you the ability to
          convert RGB images between popular Amiga and IBM image formats.
          Some of its advantages are:

          - Easy to use interface
          - Fast conversion times
          - Scale size of image if needed  
          - Support of 68020/030 included
          - Change the amount of colors in the image

            Conversions currently supported:
           
          - DigiView 2.0/3.0 Full Color 21 bitplane images
          - Turbo Silver 2.0/3.0 Full Color 12 bitplane images
          - Turbo Silver 2.0/3.0 Full Color 24 bitplane images
          - Targa Truevision full color ICB 16 bitplane image
          - Targa Truevision full color 16 bitplane image
          - Targa Truevision full color 24 bitplane image
          - Progressive Peripherals Frame Grabber full color 24 bitplane
          - Sculpt Animate 3D/4D full color 24 bitplane image

            Converters coming soon (Depending on the success of this
            version!) :
          - Targa Truevision/Vista full color 32 bitplane image
          - IFF ( Including IBM Deluxe Paint II 256 color IFF )
          - ColorEyes
          - GIF
          - Image processing module

          and more!


          Hardware Requirements:

          RGBExchange

          Amiga 500, 1000 or 2000
          512k memory minimum ( 1 meg or more recommended )
          1 floppy drive minimum ( Hard Drive recommended )


          RGBExchangeF

          Amiga 500, 1000 or 2000
          68000, 68020 or 68030 CPU
          512k memory minimum ( 1 meg or more recommended )
          1 floppy drive minimum ( Hard Drive recommended )


          SPECIAL NOTE ABOUT RAM:
            Some conversions require a large amount of memory and can't be
          done on a 512k machine. To calculate approximately how much ram
          you will need, use this formula:

                             IMAGE WIDTH * IMAGE HEIGHT * 3

          Example: FROM 512 * 400 / 24 bits TO 320 * 200/24 bits will
          require 614,400 bytes of ram plus program overhead.





                                   Getting Started

            Start up your Amiga with Kickstart and or Workbench 1.2 or
          higher. If you have problems please refer to your Amiga Users
          Guide.

             Place your RGBExchange disk into any drive and when the
          RGBExchange disk icon appears, open it and you will see two
          draws appear. If you have a 68020 or a 68030 board installed
          open the RGBExchangeF draw, otherwise open the RGBExchange draw.
          RGBExchangeF is functionally the same as RGBExchange, only
          RGBExchange is for a 68000 ( stock ) Amiga. RGBExchangeF is ONLY
          for 68020/68030 equipped Amigas. Therefore when this document
          refers to RGBExchange, it also applies to RGBExchangeF. The same
          applies with the conversion modules themselves, if they have a
          'F' at the end of the name they are 020/030 versions.

            Once the draw is opened you will see the RGBExchange program
          icon and icons for the actual conversion modules. Double click
          the RGBExchange icon to start RGBExchange. Once its running, you
          will see a window appear at the bottom of your Workbench screen.
          This window is the main control panel for RGBExchange. On it you
          will find 2 sets of gadgets, one for the source image and one
          for the destination image. In most cases you will be dealing
          only with these gadgets to perform the image conversions. These
          gadgets can be changed by simply clicking on them. Note that all
          gadgets on the left side of the window are the SOURCE gadgets.
          All gadgets on the right side of the window are DESTINATION
          gadgets. They are divided by the RGBExchange name banner in the
          center on the window. Here is a description of each gadget and
          its use starting with the SOURCE ( left ) side:

          - FROM   Clicking to the right of this will cycle through the
                  module names that are currently running. The name that
                  is left in this gadget will be used as the source image
                  format ( The image that will be loaded ).

          - TYPE   ( Under the FROM gadget )  Clicking this gadget will
                  cycle through the types of images that the module name
                  in FROM supports. PLEASE SEE NOTE BELOW for more
                  information on this and other source gadgets.

          - PLANES  Clicking this gadget will cycle through the amount of
                  planes supported by the current TYPE. And is used to set
                  amount of SOURCE bitplanes for this conversion.

          - COMPRESS Clicking this will toggle compression ON/OFF for the
                  SOURCE image if the current type supports variable
                  compression.

          - WIDTH   Clicking this will cycle through the image widths 
                  available with the current SOURCE type.

          - HEIGHT  Clicking this will cycle through the image heights
                  available with the current SOURCE type.













          NOTE!:   Most of the format's have information in the file that
                 will tell RGBExchange the TYPE, BITPLANES, COMPRESSION
                 WIDTH and HEIGHT of the source image as soon as the
                 conversion is started. If this is the case, SOURCE
                 gadgets will automatically be updated during the
                 conversion and do not need to be set by you. Currently,
                 the only format that requires you to set the SOURCE
                 gadgets is Sculpt/Animate 3D/4D.
                 
                  Also, although RGBExchange allows you to cycle WIDTH
                 and HEIGHT separatly, some formats don't support all
                 possibilities ( Example: 704 * 200 ). So please refer
                 to the list of formats at the end of this document for
                 more information.


          The DESTINATION ( left ) side:

          NOTE!:   Unlike the SOURCE side, ALL these gadgets need to be
                  set for a successful conversion.
                
          - TO     Clicking to the right of this will also cycle through
                  the module names that are currently running. But the
                  name that is left in this gadget will be used as the
                  destination format ( The image that we will convert and
                  save as ).

          - TYPE   ( Under the TO gadget )  Clicking this gadget will
                cycle through the types of images that the module name
                  in TO supports. 

          - PLANES  Clicking this gadget will cycle through the amount of
                  planes supported by the current TYPE. And is used to set
                  amount of DESTINATION bitplanes for this conversion.

          - COMPRESS Clicking this will toggle compression ON/OFF for the
                  DESTINATION image if the current type supports variable
                  compression.

          - WIDTH   Clicking this will cycle through the image widths 
                  available with the current DESTINATION type.

          - HEIGHT  Clicking this will cycle through the image heights
                  available with the current DESTINATION type.

             RGBExchange also has the following MENU selections.

          The PROJECT menu:

          - ABORT   This will abort the current conversion. Note that this
                  may not happen immediately.

          - CONVERT  This will start the conversion process by asking you
                  for the SOURCE/DESTINATION filenames. It will then tell
                  the modules that are involved in the conversion to get
                  started.

          - QUIT     This will terminate RGBExchange and all the modules
                  that are running. Note that this has no effect during a
                  conversion.





          The SPECIAL menu:

          - CLIPIT   This tells the modules not to resize the image during
                  the conversion. Instead, you want to CLIP a region the
                  size of SOURCE WIDTH * HEIGHT from the top left side of
                  the image. If the image you are converting to is larger
                  then the source image, this is impossible, and the
                  program will resize anyway.

          - RESIZE   ( Default ) This tells the modules that you want
              to resize the image using a averaging algorithm if the
              image needs to be resized.

            Now you should go back into the draw on the Workbench screen
          where you found the RGBExchange and Conversion Module icons.
          After you decide what modules you will need for the desired
          conversion, you need to run them also. You do this by double
          clicking on them just as you did with RGBExchange. Note that the
          conversion don't have to be from one format to another. You can
          convert a image back to the same format it started out as. This
          can be done to reduce the colors or the size of the image etc.
          If this is the case, you only need to run the needed Conversion
          Module once. If you try to run any module that's already
          running, you will be notified in the RGBExchange status window.
          Also, Conversion Modules are not stand alone programs and can't
          run without RGBExchange. 







































                               Starting the conversion


            After you have started the Module(s) needed, you must now set
          up the gadgets ( following the guidelines above ) in the
          RGBExchange main panel. Be sure to set all the DESTINATION
          gadgets to the settings you wish to convert to, and set up the
          FROM gadget on the SOURCE side along with any other SOURCE
          gadgets you may need. Remember, some formats don't require you
          to set up the SOURCE gadgets except the FROM gadget. Refer to
          the above explanation and the end of this document for more
          information on the currently available formats.

            Be sure to set the resize option ( under the SPECIAL MENU )
          that you want to use if needed. Now select CONVERT from the
          project menu. A window will appear asking you to enter the
          filename(s) for the SOURCE image. Some formats, like
          Sculpt/Animate, require 3 filenames. After you are finished with
          the source image name(s), you will be asked to enter destination
          filenames ( note that you can cancel at any time by clicking on
          the CANCEL gadget in the requester ). As soon as you are done
          with the destination filename(s), the conversion will start. You
          can watch the status window for reports on the progress of the
          conversion, and you will be notified here when the conversion is
          complete ( finished saving ). 

            You may abort at any time by selecting abort in the project
          menu. Note that some conversions can take a while! It all
          depends on if the module needs to resize or convert bitplanes
          during a conversion. In testing, the 68000 version will average
          2.5 minutes for a conversion, while the 020/030 version will do
          it in 1 or fewer minutes. I can not give exact times because it
          depends on the conversion settings and/or the formats you
          selected.

             When the conversion is complete, you can either go on and
          convert other pictures, or terminate RGBExchange. To terminate
          RGBExchange you can select QUIT from the project menu, or click
          on the RGBExchange window's close gadget. To terminate modules,
          you may also click their close gadget's if they are not in a
          conversion ( when you quit from RGBExchange, all modules are
          automatically shut down for you ).

          ENJOY!

          REMEMBER: Future versions of this program depend on how many
          people register this version. SHAREWARE is NOT FREE software!
          Registered users will receive a registered copy of this
          program by mail if you don't forget to include your name and
          address when you send in the $20. You will also be notified
          by mail of any future versions of RGBExchange.















                          Conversion Module Specifications

          Turbo Silver Conversion Module.
          Types supported:
          RGBN   =  12 bits per pixel ( 4096 possible colors )
          RGB8   =  24 bits per pixel ( 16,777,216 possible colors )

          Compressed = YES

                  WIDTHS           HEIGHTS
                    320               200
                    352               220
                    640               400
                    704               440
          ----------------------------------------------------------------
          Targa  Conversion Module.

          Types supported:
          ICB = Image Capture Board 
                type 2 (uncompressed RGB) or 10 (compressed RGB)
                16 bits per pixel ( 32,768 possible colors )
                
                WIDTHS             HEIGHTS
                  256                 200

          TV16 = Targa type 2 (uncompressed RGB) or 10 (compressed RGB)
                 16 bits per pixel ( 32,768 possible colors )
                
                WIDTHS             HEIGHTS
                  512                 400
                                      482

          TV24 = Targa type 2 (uncompressed RGB) or 10 (compressed RGB)
                 24 bits per pixel ( 16,777,216 possible colors )

                WIDTHS             HEIGHTS
                  512                 400
                                      482

          Compressed: YES/NO
          ----------------------------------------------------------------
          Digi-View 2.0/3.0 Conversion Module

          Types supported:
          DGVW = DigiView RGB files 
                 21 bits per pixel ( 2,097,152 possible colors )

          Compressed: YES

                WIDTHS             HEIGHTS
                  320                 200
                  352                 240
                  384                 400
                  640                 480
                  704
                  768


          ----------------------------------------------------------------
          Frame Grabber Conversion Module

          Types supported:
          IMG8 = Full color 
                 24 bits per pixel ( 16,777,216 possible colors )

          Compressed: YES

                WIDTHS             HEIGHTS
                  320                 200
                  384                 240
                  640                 400
          ----------------------------------------------------------------
          Sculpt/Animate Conversion Module

          Types supported:

          RGB = Full color RAW
                24 bits per pixel ( 16,777,216 possible colors )

          Compressed: NO

                WIDTHS             HEIGHTS
                  320                 200
                  352                 220
                  640                 240
                  704                 400
                                      440
                                      480
                
             































































